<?php

namespace App\Domain\Scraping\Domain\Event;

class ChapterScrapingCompleted
{
    public function __construct(
        private readonly string $jobId,
        private readonly array $scrapedPages
    ) {
    }

    public function getJobId(): string
    {
        return $this->jobId;
    }

    public function getScrapedPages(): array
    {
        return $this->scrapedPages;
    }
}
